LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-15-2013, 04:26 PM   #1
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Rep: Reputation: Disabled
Question libtbb.so.2 Not Found


Well i don't know why this shit error comes up when i try to load a plugin in my linux centos when i load this plugin i get this error: "libtbb.so.2 Not Found" i tried googling but no result found someone please help who is really good in linux iam totally stuck..
 
Old 04-15-2013, 04:38 PM   #2
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 17,926

Rep: Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690Reputation: 3690
Quote:
Originally Posted by sandmac View Post
Well i don't know why this shit error comes up when i try to load a plugin in my linux centos when i load this plugin i get this error: "libtbb.so.2 Not Found" i tried googling but no result found someone please help who is really good in linux iam totally stuck..
Since you don't say WHICH plugin, where you got it, what you're trying to load it into (OS? Browser? ??), or what version of CentOS, there's not much we can tell you. Provide details and we can try to help.
 
Old 04-15-2013, 04:55 PM   #3
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by TB0ne View Post
Since you don't say WHICH plugin, where you got it, what you're trying to load it into (OS? Browser? ??), or what version of CentOS, there's not much we can tell you. Provide details and we can try to help.
Well it's a plugin for a game server and the plugin creator told me to instal libbb2 package or something but when I try to install that library it says no package found , the version of os is centos 5
 
Old 04-15-2013, 05:08 PM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
what did you search for in yum ?
normally a lib will not show up
as in this will return ZERO hits "libtbb"

leave off the lib part
Code:
su -
yum search tbb 
------------
tbb.i686 : The Threading Building Blocks library abstracts low-level threading
         : details
tbb-devel.i686 : The Threading Building Blocks C++ headers and shared
               : development libraries
tbb-doc.i686 : The Threading Building Blocks documentation
---- then run ----
yum install tbb tbb-devel
it is in the epel repo
http://wiki.centos.org/AdditionalResources/Repositories

tbb-2.2-2.20090809.el5.i386.rpm

Last edited by John VV; 04-15-2013 at 05:21 PM.
 
Old 04-15-2013, 05:13 PM   #5
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
'tbb' is in the EPEL.repo https://fedoraproject.org/wiki/EPEL
# rpm -Uvh http://fedora-epel.skarta.net/5/i386...5-4.noarch.rpm

# yum install tbb
... providing /usr/lib/libtbb.so.2
 
Old 04-16-2013, 04:16 AM   #6
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Original Poster
Rep: Reputation: Disabled
well could someone tell me what to do with rpm

iam really a newbie to linux. so please give me more info or give me some link to guide
 
Old 04-16-2013, 04:24 AM   #7
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
'tbb' is in the EPEL.repo https://fedoraproject.org/wiki/EPEL
# rpm -Uvh http://fedora-epel.skarta.net/5/i386...5-4.noarch.rpm

# yum install tbb
... providing /usr/lib/libtbb.so.2
i tried rpm -Uvh [url]http://fedora-epel.skarta.net/5/i386/epel-release-5-4.noarch.rpm
Code:
rpm -Uvh http://fedora-epel.skarta.net/5/i386...5-4.noarch.rpm
Retrieving http://fedora-epel.skarta.net/5/i386...5-4.noarch.rpm
error: skipping http://fedora-epel.skarta.net/5/i386...5-4.noarch.rpm - transfer failed - Unknown or unexpected error
 
Old 04-16-2013, 04:54 AM   #8
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
# 7 .

How to use a link : Please use "Copy Link Location" to copy a link.
A simple copy/paste will not get the full link.

Code:
rpm -Uvh http://fedora-epel.skarta.net/5/i386/epel-release-5-4.noarch.rpm
You can also click the link
http://fedora-epel.skarta.net/5/i386...5-4.noarch.rpm
to download "epel-release-5-4.noarch.rpm", and then install the file with
# rpm -Uvh epel-release-5-4.noarch.rpm

-
 
Old 04-16-2013, 05:13 AM   #9
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 7 .

How to use a link : Please use "Copy Link Location" to copy a link.
A simple copy/paste will not get the full link.

Code:
rpm -Uvh http://fedora-epel.skarta.net/5/i386/epel-release-5-4.noarch.rpm
You can also click the link
http://fedora-epel.skarta.net/5/i386...5-4.noarch.rpm
to download "epel-release-5-4.noarch.rpm", and then install the file with
# rpm -Uvh epel-release-5-4.noarch.rpm

-
Thanks mate well i fixed that problem now it shows another thing
Code:
Failed (/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by plugin))

Last edited by sandmac; 04-16-2013 at 05:40 AM.
 
Old 04-16-2013, 05:39 AM   #10
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
you do realize that CentOS 5.9 is a bit OLD
the major version of programs will never change in the 10 year lifetime
and centos 5.9 is the last minor upgrade in the 5 series

the versions of programs and libs were locked over 5 years ago

The current version of CentOS is 6.4

unless you NEED the older 5 series for old legacy programs it is recommended to use the current
 
Old 04-16-2013, 05:42 AM   #11
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by John VV View Post
you do realize that CentOS 5.9 is a bit OLD
the major version of programs will never change in the 10 year lifetime
and centos 5.9 is the last minor upgrade in the 5 series

the versions of programs and libs were locked over 5 years ago

The current version of CentOS is 6.4

unless you NEED the older 5 series for old legacy programs it is recommended to use the current
i realized many weeks ago and i can't change to centos 6 because my mysql plugin is not compiled for centos 6 it's only available for centos 5 and i have all source of mysql plugin so is anyone care to compile to centos 6?

Well i think this error will get for centos 6 too and i have informed the plugin creator let me see his reply and someone please try to help me.
 
Old 04-16-2013, 05:51 AM   #12
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
# 9 .

First : Please tell which application you are trying to install.
The full file name, please. Like foo-plugin-1.0.0.tar.gz .

And do not expect all new applications to install on a six year old OS.

A libstdc++ with the object "GLIBCXX_3.4.9" :
Usually you can replace the link libstdc++.so.6 with a link to a later version.

? Is your CentOS 5 an i686 or x86_64 OS ?
The 'uname -m' command will tell :
$ uname -m <Enter>


-

Last edited by knudfl; 04-16-2013 at 05:53 AM.
 
Old 04-16-2013, 06:19 AM   #13
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
# 9 .

First : Please tell which application you are trying to install.
The full file name, please. Like foo-plugin-1.0.0.tar.gz .

And do not expect all new applications to install on a six year old OS.

A libstdc++ with the object "GLIBCXX_3.4.9" :
Usually you can replace the link libstdc++.so.6 with a link to a later version.

? Is your CentOS 5 an i686 or x86_64 OS ?
The 'uname -m' command will tell :
$ uname -m <Enter>


-
cent os 5 i686
 
Old 04-16-2013, 07:00 AM   #14
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
# 13 : Please stop quoting entire posts. A one word reference will do.


OK, i686. You can use this file : libstdc++.so.6.0.13
> https://docs.google.com/file/d/0B7S2...it?usp=sharing
> libstdc++6_4.4.5-8.sl5-i386.tar.bz2

1) cp libstdc++.so.6.0.13 /usr/lib/
2) cd /usr/lib/
3) rm libstdc++.so.6
4) ln -s libstdc++.so.6.0.13 libstdc++.so.6

-
 
Old 04-16-2013, 07:26 AM   #15
sandmac
LQ Newbie
 
Registered: Apr 2013
Posts: 12

Original Poster
Rep: Reputation: Disabled
libmysqlclient_r.so.15

hey guys iam here with a problem in my centos
when i try to load mysql plugin which is compiled in centos 5
i get this error
Code:
 Failed (libmysqlclient_r.so.15: cannot open shared object file: No such file or directory)
please help me
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Xorg, no screens found; no devices found (after Virtualbox install) Archytas Linux - General 6 03-06-2013 04:41 PM
[SOLVED] x-windows-system package not found, other packages not found. bwilky11 Debian 3 04-12-2012 01:39 PM
Directory not found; -xzvf not found; Makefile not found RealGomer Linux - Software 4 09-20-2010 11:02 AM
Fedora Core 6 boot No medium found No volume groups found awadhut Linux - Hardware 1 02-22-2007 02:15 AM
PDC 20276 - Promise Fasttrack 133 found but still not found.. FransE Linux - Hardware 3 02-16-2004 08:44 AM


All times are GMT -5. The time now is 12:49 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration